[% setvar title Perl 6 %]
[% setvar more_header
    <meta name="description" content="Home page for Perl 6, the next major version of the Perl programming language" />
    <meta name="verify-v1" content="p7bEStVpDsW4ixm9YbF1ck02FRQfdA97ZL9mJnt0iQ0=" />
    <meta name="google-site-verification" content="fDTmO9fcCRRgBqbKirQidKJ6nhTqnolHrKrgwVWJxZA" />
%]

<div id="header">
    <a href='http://svn.pugscode.org/pugs/misc/camelia.txt'><img src="camelia-logo.png" alt="camelia perl bug logo" /></a>
    <h2>Welcome to Perl&nbsp;6</h2>
    <p>Hi, my name is Camelia.  I'm the spokesbug for Perl&nbsp;6, the spunky little sister of Perl&nbsp;5.
    Like her world-famous big sister, Perl&nbsp;6 intends to carry forward the high ideals of the
    <a href="http://perl.org">Perl</a> community.  Perl&nbsp;6 is currently being developed
    by a team of dedicated and enthusiastic volunteers.  You can help too.  The only requirement is that
    you know how to be nice to all kinds of people (and butterflies).  Go to
    <a class="header-black-link" href="http://webchat.freenode.net/?channels=perl6&amp;nick=">#perl6 (irc.freenode.net)</a>
    and someone will be glad to help you <a href="/getting-started/">get
        started</a>.</p>
</div>

<div id="main">
    <div id="community" class="box">
        <h4><a href="/community/">Community</a></h4>
        <ul>
            <li><a href="/community/irc">#perl6 IRC channel</a>: <a href="irc://irc.freenode.net/%23perl6">system IRC client</a>
            or&nbsp;<a href="http://webchat.freenode.net/?channels=perl6&amp;nick=">chat live in your browser</a></li>
            <li><a href="http://szabgab.com/perl6.html#screencast">Perl 6 screencasts</a></li>
            <li><a href="http://planetsix.perl.org/">Blogs</a>, <a href="http://www.perlfoundation.org/perl6/index.cgi?perl_6">Perl 6 wiki</a></li>
        </ul>
        <p class="more"><a href="/community/">»MORE«</a></p>
    </div>

    <div id="specs" class="box">
        <h4><a href="/specification/">Specification</a></h4>
        <ul>
            <li><a href="http://perlcabal.org/syn/">Synopsis</a> - official Perl&nbsp;6 design documents</li>
            <li><a href="http://svn.pugscode.org/pugs/src/perl6/STD.pm6">STD.pm</a> - official Perl&nbsp;6 grammar</li>
        </ul>
        <p class="more"><a href="/specification/">»MORE«</a></p>
    </div>

    <div id="compiler" class="box">
        <h4><a href="/compilers/">Compilers</a></h4>
        <ul>
            <li><a href="http://rakudo.org/">Rakudo</a>, a compiler based on
                <a href="http://parrot.org/">Parrot</a>.</li>
            <li><a href="http://svn.pugscode.org/pugs/src/perl6/viv">viv</a>, a
                STD-based reference parser used by various other compilers</li>
        </ul>
        <p class="more"><a href="/compilers/">»MORE«</a></p>
    </div>

    <div id="docs" class="box">
        <h4><a href="/documentation/">Documentation</a></h4>
        <ul>
        <li><a href="http://svn.pugscode.org/pugs/docs/u4x/">u4x</a>, User-level documentation for Christmas</li>
        <li><a href="http://perlgeek.de/en/article/5-to-6">Perl&nbsp;5 to 6</a>,
            introduction for Perl&nbsp;5 programmers</li>
        </ul>
        <p class="more"><a href="/documentation/">»MORE«</a></p>
    </div>

    <div id="download" class="box">
        <a href="http://rakudo.org/how-to-get-rakudo">
        <img src="download-button.png" alt="how to get rakudo"/>
        </a>
    </div>

    <div id="stuff" class="box">
        <h4><a href="/whatever/">Whatever</a></h4>
        <ul>
            <li><a href="http://proto.perl6.org/">proto</a>, makes it easy to install programs written in Perl&nbsp;6</li>
            <li><a href="http://search.cpan.org/dist/Inline-Rakudo">Inline::Rakudo</a>, embedding Perl&nbsp;6 code in Perl&nbsp;5</li>
        </ul>
        <p class="more"><a href="/whatever/">»MORE«</a></p>
    </div>

</div>

